Station
curl --request GET \
--url https://data.flightportrait.com/v1/stations/{station_uuid}import requests
url = "https://data.flightportrait.com/v1/stations/{station_uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.flightportrait.com/v1/stations/{station_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fp-a1b2c3d4e5",
"online": true,
"messages_per_s": 0.426,
"positions_per_s": 0.109,
"kbit_s": 0.09,
"rtt_ms": 16,
"positions_total": 204,
"aircraft_seen": 3,
"first_seen": "2026-08-01T00:00:00+00:00",
"last_seen": "2026-08-29T12:00:00+00:00",
"recent_sessions": [
{
"started_at": "2026-08-29T00:00:00+00:00",
"peak_messages_per_s": 0.5,
"positions_total": 204
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Stations
Station
Status for one feeder. The full UUID is the key; the server stores a hash. Unknown and malformed UUIDs both return 404.
GET
/
v1
/
stations
/
{station_uuid}
Station
Path Parameters
Full feeder UUID. The server stores a hash, not the UUID.
Response
OK